<?php


include_once 'inc/start.php';
include_once 'inc/start_sess.php';

$set['title']='Скоросные Гонки'; // заголовок страницы



include_once 'inc/head.php';


$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($ku)){
if($gconf[0]['open']!=1){

echo '<div><h1>Скоросные Гонки</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";
echo "<img src='images/gonki.png' alt='o'>";

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
$x=mysql_query("SELECT * FROM `gorod_tbega` WHERE `last`=''");
$c=mysql_fetch_assoc($x);
if(mysql_num_rows($x)>=5){
$win=mt_rand(1,6);
$who=mysql_query("SELECT * FROM `gorod_tbega` WHERE `bet`='$win'");
while($row=mysql_fetch_assoc($who)){
mysql_query("UPDATE `kolhoz_user` SET `rubies`=`rubies` + '500' WHERE `nick`='".$ku['name']."'");
};
mysql_query("DELETE FROM `gorod_tbega`");
mysql_query("INSERT INTO `gorod_tbega` (`last`)VALUES('$win')");
};
echo '<div>Время: '.date("H:i:s").'</div>';
echo '<div>Ты состоятельный человек с приличными рубиными? </div>';
echo '<div>Участвуй в гонках! <br/> Выигрывай лёгкие рубины! </div>';
echo '<div>Крупные ставки по <img width="16" height="16" src="images/icons/ruby.png" alt="o">100 рубинов!</div>';
echo '<br>';
$n=mysql_query("SELECT * FROM `gorod_tbega` WHERE `last`!=''");
$n=mysql_fetch_assoc($n);
echo '<div><font color="red">В предыдущих гонках победил: №'.$n['last'].'</font></div>';
echo '<div>Текущее количество ставок: <font color="gold"> '.mysql_num_rows($x).'</font></div>';
echo '<div>Гонка начнутся когда будет 5 ставок!</div>';
echo '<div>Введите номер машины от 1 до 6 включительно</div>';
echo '<br>';
echo '<div><font color="gold">НАШИ МАШИНЫ:</font></div>';
echo '<small>';
echo '<div><img src="images/mgonki.png" alt="o">1. <font color="green">Молния</font></div>';
echo '<div><img src="images/mgonki.png" alt="o">2. <font color="green">Бешеный Джо</font></div>';
echo '<div><img src="images/mgonki.png" alt="o">3. <font color="green">Гром</font></div>';
echo '<div><img src="images/mgonki.png" alt="o">4. <font color="green">Черный Мститель</font></div>';
echo '<div><img src="images/mgonki.png" alt="o">5. <font color="green">Мустанг</font></div>';
echo '<div><img src="images/mgonki.png" alt="o">6. <font color="green">Победитель</font></div>';
echo '</small>';
echo '<br>';
echo '<div><form action="?gonki&action=bilet" method="post"></div>';
echo '<div><input name="bilet"/></div>';
echo '<div><input type="submit" value="Ставить!"/></div>';
echo "<div class='small'>";
echo '<div>Ставка равна <img width="16" height="16" src="images/icons/ruby.png" alt="o">100 рубинов<br/>Но в случае выигрыша вы получите <img width="16" height="16" src="images/icons/ruby.png" alt="o">500 рубинов</div>';
echo '<div>У вас в наличии рубинов: '.$ku['rubies'].'<img width="16" height="16" src="images/icons/ruby.png" alt="o"></div>';
echo '</div>';
break;
case 'bilet':
if($ku['rubies']>100){
$x=mysql_query("SELECT * FROM `gorod_tbega` WHERE `name`='".$ku['nick']."'");
if(!mysql_num_rows($x)){
$bet=(int)$_POST['bilet'];
if(!$bet || $bet>6 || $bet<0){echo 'Не правильная ставка!';break;};
mysql_query("INSERT INTO `gorod_tbega` (`name`,`bet`)VALUES('".$ku['nick']."','$bet')");
mysql_query("UPDATE `kolhoz_user` SET `rubies`=`rubies` - '100' WHERE `id`='".$ku['id']."'");
echo '<b>Ставки сделаны! Гонки состоятся при наличии пяти ставок!</b><br/>';
echo 'Результат розыгрыша станет известным после того, как ставки сделают 5 участников!<br/>';
echo '<br/>У вас в наличии рубинов: '.$ku['rubies'].'<img width="16" height="16" src="images/icons/ruby.png" alt="o"><br/>';
}else{
echo 'Вы уже сделали ставку! Нельзя ставить дважды, это противоречит правилам скоросных гонок!<br/>';
};
}else{
echo 'Вы не можете играть на гонках так как на вашем счете недостаточно рубинов!<br/>';
};
echo '<br/><a href="?gomki">Вернуться к Гонкам</a>';
echo '<div>';
break;
};
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};
echo '</div></div>';
include_once 'inc/foot.php';
?>